<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clickable="true"
    android:focusable="true"
    android:foreground="?attr/selectableItemBackground"
    android:orientation="vertical"
    android:paddingTop="@dimen/dp_10"
    android:paddingBottom="@dimen/dp_10">

    <TextView
        android:id="@+id/tv_printer_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginLeft="@dimen/dp_10"
        android:gravity="center"
        android:textColor="@color/normal_color"
        android:textSize="@dimen/dp_16"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <TextView
        android:id="@+id/tv_printer_ip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:singleLine="true"
        android:text="IP："
        android:textColor="@color/normal_color"
        android:textSize="@dimen/dp_14"
        app:layout_constraintHorizontal_weight="0.5"
        app:layout_constraintLeft_toLeftOf="@id/tv_printer_name"
        app:layout_constraintTop_toBottomOf="@id/tv_printer_name" />

    <TextView
        android:id="@+id/tv_printer_port"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:singleLine="true"
        android:text="端口號："
        android:textColor="@color/normal_color"
        android:textSize="@dimen/dp_14"
        android:visibility="gone"
        app:layout_constraintHorizontal_weight="0.5"
        app:layout_constraintLeft_toRightOf="@id/tv_printer_ip"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_printer_ip" />

</androidx.constraintlayout.widget.ConstraintLayout>